import loadingState from '@src/store/globalStates/loadingState'
import userAuthState from '@src/store/globalStates/userAuthState'
import FullScreenLoading from './components/FullScreenLoading'
import { Outlet } from 'react-router-dom'
import styles from './index.module.css'
import Nav from '@src/components/Nav'
import sso from '@src/lib/http/sso'
import { useEffect } from 'react'

function Home() {
  const setUserAuthState = userAuthState.useGlobalStateUpdate()
  const loading = loadingState.useGlobalState()

  useEffect(()=>{
    setUserAuthState({
      isAdmin: sso.getUserIsAdmin()
    })
  },[])
  
  return (
    <>
      {/* 全局layout，菜单等 */}
      <Nav />

      {/* 全局loading */}
      {loading && <FullScreenLoading />}

      {/* 内容区域 */}
      <div className={styles['main-container']}>
        <Outlet />
      </div>
    </>
  )
}

export default Home
