import { RowDataType } from '../ContentTable/types'
import { AllAppListItemType } from '../../types'

export interface PropsType {
    allAppList: AllAppListItemType[]
    onCreate: EventFunctionType<[FormDataType,EventFunctionType<[]>]>,
    onUpdate: EventFunctionType<[RowDataType,EventFunctionType<[]>]>
}

export interface FormDataType {
    applicationId: number, // 应用id
    unionAdName: string, // 广告名称
    unionAdPosition: number, // 广告类型
}

export type Action = 'create' | 'edit' 

export interface RefType {
    open: EventFunctionType<[RowDataType?]>
}

// select 组件选项类型
export interface OptionsItemType {
    label: string,
    value: string | number,
    disabled?: boolean
}

// ant Radio 选项类型
export type RadioOptionsType = string[] | number[] | Array<{ label: ReactNode; value: string|number|boolean; disabled?: boolean; }>
