import { RowDataType } from '../ContentTable/types'

export interface PropsType {
    onCreate: EventFunctionType<[FormDataType,EventFunctionType<[]>]>,
    onUpdate: EventFunctionType<[RowDataType,EventFunctionType<[]>]>
}

export interface FormDataType {
    thirdAppType: number, // 应用类型
    unionAppName: string, // 应用名称
    thirdMpAppId?: string, // 小程序appid
    thirdAppDomain?: string // H5链接
}

export type Action = 'create' | 'edit' 

export interface RefType {
    open: EventFunctionType<[RowDataType?]>
}

// select 组件选项类型
export interface OptionsItemType {
    label: string,
    value: string | number
}